eoStochTournamentSelect(3)

NAME
eoStochTournamentSelect - eoStochTournamentSelect: a selection method that selects ONE individual by binary stochastic tournament -MS- 24/10/99

SYNOPSIS

#include <eoStochTournamentSelect.h>

Inherits eoSelectOne< EOT >.

  Public Member Functions
eoStochTournamentSelect (double _Trate=1.0)
virtual const EOT & operator() (const eoPop< EOT > &pop)
Perform the stochastic tournament.

  Private Attributes
double Trate

Detailed Description

  template<class EOT> class eoStochTournamentSelect< EOT >
eoStochTournamentSelect: a selection method that selects ONE individual by binary stochastic tournament -MS- 24/10/99

Definition at line 42 of file eoStochTournamentSelect.h.

Author

Generated automatically by Doxygen for EO from the source code.